Bug 845280 - postinstall script for texlive-latex doesn't verify directory exists
postinstall script for texlive-latex doesn't verify directory exists
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: texlive (Show other bugs)
6.3
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Ngo Than
BaseOS QE Security Team
: EasyFix
: 507601 (view as bug list)
Depends On:
Blocks: 845282
  Show dependency treegraph
 
Reported: 2012-08-02 10:34 EDT by jcpunk
Modified: 2017-12-06 07:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:37:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jcpunk 2012-08-02 10:34:22 EDT
Description of problem: The postinstall script for texlive-latex has the following lines:

if [ -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled; then
  [ -x /sbin/restorecon ] && /sbin/restorecon -R /var/lib/texmf/
fi

However, /var/lib/texmf is provided by texlive-texmf and not texlive-latex.  Thus a check for the directory existing seems in order.  Alternativly, the restorecon could be moved to a trigger if that seems more suitable.

This can result in a 'No such file or directory' from the restorecon during a kickstart installation.

Version-Release number of selected component (if applicable): 2007-57.el6_2


How reproducible: The script missing the check is always there.  Triggering the error in kickstart is, however, a bit hit or miss.  I can do it about 1/3 of the time.


Steps to Reproduce:
1. kickstart @everything
2. review install.log
3. search for error
  
Actual results:
'No such file or directory' is reported by texlive-latex


Expected results:
No errors from installing the packages in anaconda.

Additional info:
Comment 2 RHEL Product and Program Management 2012-09-07 01:35:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jindrich Novy 2013-04-03 10:44:13 EDT
*** Bug 507601 has been marked as a duplicate of this bug. ***
Comment 6 Ngo Than 2014-05-20 08:36:00 EDT
grant devel ack for fasttrack
Comment 11 Jan Kurik 2017-12-06 07:37:00 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.